Unable to update webplayer

Whenever I try to play a game using the Unity WebPlayer (specifically Accelerator on Kongregate), the WebPlayer loads about half way, and then gives me an error saying that it couldn’t update my version of Unity properly (needed 3418005 had 3408005). I’ve tried installing direct from the website, deleting all unity folders on my hard drive and reinstalling from the website.

I run FireFox on Win7.

IT WORKS 100% - The step by step was different for me but game did it’s work! it has updated unity player!!!